using UnityEngine;

namespace RebootKit.Engine.Extensions {
    public static class LayerMaskEx {
        public static bool Contains(this LayerMask mask, int layerNumber) {
            return ((1 << layerNumber) | mask) == mask;
        }
    }
}